class Sketchup::Model
	def get_unit ()
		case self.options[0][2]
			when 0;return "inch"
			when 1;return "feet"
			when 2;return "mm"
			when 3;return "cm"
			when 4;return "m"
		end
	end
end

def toggle_units
	model = Sketchup.active_model
	u = model.options[0][2]
	if u != 4
		u += 1
	else
		u = 0
	end
	model.options[0][2] = u
	model.active_view.invalidate
	UI.messagebox "Drawing unity : " + model.get_unit
end

def toggle_units_icon
	case Sketchup.active_model.options[0][2]
		when 0;return Sketchup.find_support_file("tuin.gif", "Plugins/toggle_units_icons")
		when 1;return Sketchup.find_support_file("tufe.gif", "Plugins/toggle_units_icons")
		when 2;return Sketchup.find_support_file("tumm.gif", "Plugins/toggle_units_icons")
		when 3;return Sketchup.find_support_file("tucm.gif", "Plugins/toggle_units_icons")
		when 4;return Sketchup.find_support_file("tume.gif", "Plugins/toggle_units_icons")
	end
end

if not file_loaded?("toggle_units.rb")
	tb = UI::Toolbar.new("Units")
	cmd = UI::Command.new("Toggle unity drawing") { toggle_units }
	cmd.small_icon = cmd.large_icon = toggle_units_icon
	cmd.tooltip = cmd.status_bar_text = "Toggle unity drawing"
	tb.add_item(cmd)
	
	state = tb.get_last_state 
	if(state == TB_NEVER_SHOWN)
		tb.show 
	elsif (state == TB_VISIBLE)
		tb.restore
	end
end
file_loaded("toggle_units.rb")